GET /api/v1/names/:name/legacy
Legacy endpoint that returns name data with inline listing details, active offers count, recent transactions, and OpenSea data. Resolves Name Wrapper ownership automatically.
If the name is not in the database, the API fetches it from The Graph and imports it.
Authentication: None
Cache: 15s
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Yes | ENS name (e.g. example.eth) |
Sample Request
curl https://api.grails.app/api/v1/names/example.eth/legacyResponse
// 200 OK
{
"success": true,
"data": {
"id": 1313948,
"name": "brantly.eth",
"token_id": "47192814855232171824620094590612668126513223473283784600320596656451859494352",
"owner_address": "0x983110309620d911731ac0932219af06091b6744",
"registrant": "0x983110309620d911731ac0932219af06091b6744",
"expiry_date": "2041-05-02T21:07:12.000Z",
"registration_date": "2020-02-04T02:23:59.000Z",
"creation_date": "2017-06-15T02:40:38.000Z",
"last_transfer_date": null,
"last_sale_date": null,
"last_sale_price": null,
"last_sale_currency": null,
"last_sale_price_usd": null,
"metadata": { "avatar": "https://...", "description": "...", "chains": [...] },
"metadata_updated_at": "2026-04-09T14:50:33.712Z",
"created_at": "2025-10-01T03:38:07.103Z",
"updated_at": "2026-04-09T17:30:28.163Z",
"resolver_address": "0x231b0ee14048e9dccd1d247744d114a4eb5e8e63",
"has_emoji": false,
"has_numbers": false,
"clubs": ["prepunks"],
"upvotes": 0,
"downvotes": 0,
"net_score": 0,
"highest_offer_wei": null,
"highest_offer_currency": null,
"highest_offer_id": null,
"last_offer_update": "2026-01-30T16:52:13.820Z",
"view_count": 102,
"listing_price": "100000000000000000",
"listing_status": "active",
"listing_expires_at": null,
"listing_seller": "0xabcd...",
"listing_order_data": { "..." : "..." },
"listing_currency_address": "0x0000000000000000000000000000000000000000",
"listing_source": "grails",
"active_offers_count": "3",
"recent_transactions": [
{
"transaction_hash": "0xabc...",
"block_number": 12345678,
"from_address": "0x1234...",
"to_address": "0xabcd...",
"price_wei": "50000000000000000",
"transaction_type": "transfer",
"timestamp": "2026-03-15T12:00:00.000Z"
}
],
"opensea_listing": null,
"opensea_offer": null
},
"meta": {
"timestamp": "2026-04-09T12:00:00.000Z",
"version": "1.0.0"
}
}Error Responses
| Status | Code | Description |
|---|---|---|
| 404 | NAME_NOT_FOUND | ENS name not found in database or on-chain |
| 404 | INVALID_NAME | Could not determine token ID for the name |
Last updated on